Subject: [TR] sumbeam Tiger

From: "Ron L'Herault" <[email-masked]>
Date: Fri, 20 Nov 2020 16:15:59 -0500

A friend into American cars has just gotten a Sunbeam.  It's basically I
Tiger I believe but the engine has been replaced.   I've sent him the sign
up stuff from autox.team.net for Tigers but in the mean time, he's looking
for the fuses.  Are they in the engine compartment?  Anyone know?

Thanks,

RonL 

** [email-masked] **

Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive